Name:		snappy
Version:	1.1.7
Release:	10
Summary:	A fast compressor/decompressor
License:	BSD
URL:		https://github.com/google/snappy
Source0:	https://github.com/google/snappy/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	snappy.pc

Patch0:		snappy-gtest.patch
Patch1:		snappy-version-macros.patch
Patch6000:	Fix-Travis-CI-configuration-for-OSX.patch

BuildRequires:	gcc-c++ automake autoconf gtest-devel cmake

%description
Snappy is a compression/decompression library. It does not aim for maximum compression,
or compatibility with any other compression library; instead, it aims for very high
speeds and reasonable compression.

%package        devel
Summary:        Development files for snappy 
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       cmake-filesystem pkgconfig

%description    devel
This package is the development files for snappy.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake
%make_build

%install
rm -rf %{buildroot}
mkdir %{buildroot}
%make_install
install -p -D %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig/snappy.pc

%check
make test

%pre

%preun

%post	-p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%files
%defattr(-,root,root)
%license COPYING AUTHORS
%{_libdir}/libsnappy.so.*

%files devel
%defattr(-,root,root)
%doc format_*.txt framing_*.txt
%{_includedir}/snappy*.h
%{_libdir}/libsnappy.so
%{_libdir}/pkgconfig/snappy.pc
%{_libdir}/cmake/Snappy/*.cmake

%files help
%doc NEWS README.md

%changelog
* Wed Oct 9 2019 shenyangyang<shenyangyang4@huawei.com> - 1.1.7-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:modify the patch number and requires of devel

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 1.1.7-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move the license

* Tue Sep 24 2019 shenyangyang<shenyangyang4@huawei.com> - 1.1.7-8
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add help package

* Tue Aug 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.7-7
- Package init
